> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Cluster Addons Endpoint



## OpenAPI

````yaml https://platform.ankra.app/openapi.json get /api/v1/clusters/{cluster_id}/addons
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/clusters/{cluster_id}/addons:
    get:
      tags:
        - Cluster
      summary: List Cluster Addons Endpoint
      operationId: list_cluster_addons_endpoint_api_v1_clusters__cluster_id__addons_get
      parameters:
        - in: path
          name: cluster_id
          required: true
          schema:
            format: uuid4
            title: Cluster Id
            type: string
        - in: query
          name: page
          required: false
          schema:
            default: 1
            title: Page
            type: integer
        - in: query
          name: page_size
          required: false
          schema:
            default: 25
            title: Page Size
            type: integer
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListClusterAddonsResponse'
          description: Successful Response
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    ListClusterAddonsResponse:
      properties:
        pagination:
          $ref: >-
            #/components/schemas/usecase__cluster__list_cluster_addons__Pagination
        result:
          items:
            $ref: '#/components/schemas/ClusterAddonListItem'
          title: Result
          type: array
      required:
        - result
        - pagination
      title: ListClusterAddonsResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    usecase__cluster__list_cluster_addons__Pagination:
      properties:
        page:
          title: Page
          type: integer
        page_size:
          title: Page Size
          type: integer
        total_count:
          title: Total Count
          type: integer
        total_pages:
          title: Total Pages
          type: integer
      required:
        - page
        - page_size
        - total_pages
        - total_count
      title: Pagination
      type: object
    ClusterAddonListItem:
      properties:
        chart_name:
          title: Chart Name
          type: string
        chart_version:
          title: Chart Version
          type: string
        created_at:
          format: date-time
          title: Created At
          type: string
        health:
          anyOf:
            - type: string
            - type: 'null'
          title: Health
        icon:
          anyOf:
            - type: string
            - type: 'null'
          title: Icon
        latest_chart_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Latest Chart Version
        name:
          title: Name
          type: string
        namespace:
          title: Namespace
          type: string
        registry_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Registry Name
        registry_url:
          title: Registry Url
          type: string
        stack_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Stack Name
        state:
          anyOf:
            - $ref: '#/components/schemas/ResourceState'
            - type: 'null'
        through_ankra:
          default: false
          title: Through Ankra
          type: boolean
        updated_at:
          format: date-time
          title: Updated At
          type: string
      required:
        - name
        - chart_name
        - chart_version
        - registry_url
        - namespace
        - created_at
        - updated_at
      title: ClusterAddonListItem
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    ResourceState:
      enum:
        - creating
        - updating
        - stopping
        - up
        - down
      title: ResourceState
      type: string

````